function WENSintrendPrognoz(infile,prognozfile,entrfile);
% Прогнозирование волн вейвлет-энтропии средствами синус-трендов
Y=dlmread(infile);
if length(Y)>2000
    Y=Y(length(Y)-2000:length(Y));
    fprintf(1,'Time series are cutted: last 2000 points are used.\n');
end
wtype=3;
wetype=2;
plotOn=0;
[SWT,POWER,Pj]=waventropy(Y,wtype,wetype,plotOn,0,0);
[n,m]=size(POWER);
dlmwrite(entrfile,POWER(n,:),'\n');
niter=1;
outfile_remains=strrep(entrfile,'.txt','_remains.txt');
sintrend3_logabs(entrfile,outfile_remains,niter,0,3);
paramfile=strrep(entrfile,'.txt','_remains.mat');
vosstanovl3_logabs(paramfile);
